<?php
// prepare connection
$dsn = 'mysql:host=localhost;port=3306;dbname=dbname';
$username = 'dbuser';
$password = 'password';
$options = array(
    PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'",
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_OBJ,
    PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION
);

try {
    $pdo = new PDO($dsn, $username, $password, $options);
} catch (PDOException $e) {
    echo $e->getMessage();
    die();
}

$id = 3;

try {
    $stmt = $pdo->prepare("DELETE FROM users WHERE id=:id");
    $stmt->bindParam('id',  $id, PDO::PARAM_INT);
    $stmt->execute();

    echo "Registro eliminado correctamente.";
} catch (PDOException $e) {
    echo "Error al eliminar el registro: " . $e->getMessage();
}
